XCTestConventionPlugin (Gradle API 4.9)
Date: 2018-07-16

org.gradle.nativeplatform.test.xctest.plugins

## Class XCTestConventionPlugin

- java.lang.Object
- - org.gradle.nativeplatform.test.xctest.plugins.XCTestConventionPlugin

- All Implemented Interfaces:
    Plugin<org.gradle.api.internal.project.ProjectInternal>

      @Incubating
      public class XCTestConventionPlugin
      extends Object
      implements Plugin<org.gradle.api.internal.project.ProjectInternal>

  A plugin that sets up the infrastructure for testing native binaries with XCTest test framework. It also adds conventions on top of it.
  Since:
    4.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XCTestConventionPlugin(org.gradle.nativeplatform.toolchain.internal.xcode.MacOSSdkPlatformPathLocator sdkPlatformPathLocator, org.gradle.language.nativeplatform.internal.toolchains.ToolChainSelector toolChainSelector, org.gradle.language.internal.NativeComponentFactory componentFactory, ObjectFactory objectFactory, org.gradle.api.internal.attributes.ImmutableAttributesFactory attributesFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(org.gradle.api.internal.project.ProjectInternal project)` Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XCTestConventionPlugin

          @Inject
          public XCTestConventionPlugin(org.gradle.nativeplatform.toolchain.internal.xcode.MacOSSdkPlatformPathLocator sdkPlatformPathLocator,
                                                org.gradle.language.nativeplatform.internal.toolchains.ToolChainSelector toolChainSelector,
                                                org.gradle.language.internal.NativeComponentFactory componentFactory,
                                                ObjectFactory objectFactory,
                                                org.gradle.api.internal.attributes.ImmutableAttributesFactory attributesFactory)

  - ### Method Detail

    - #### apply

          public void apply(org.gradle.api.internal.project.ProjectInternal project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<org.gradle.api.internal.project.ProjectInternal>`
      Parameters:
        `project` - The target object